
Name: qps
Version: 2.8.0
Release: %mkrel 1
Source0: https://github.com/QtDesktop/%{name}/releases/%{version}/%{name}-%{version}.tar.xz
Summary: The Qt process manager 
URL: http://lxqt.org/
License: GPL
Group: Graphical desktop/LXQT
BuildRequires: cmake
BuildRequires: lxqt-build-tools >= 0.13.0
BuildRequires: %{_lib}lxqt-devel >= 1.4.0
BuildRequires: %{_lib}qt5help-devel
Obsoletes:	lxqt-common

%description
The Qt process manager.

%prep
%setup -q


%cmake_qt5

%build
%make -C build

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-System-Monitoring;" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%files
%{_bindir}/qps
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/man/man1/%{name}.1.bz2
%{_datadir}/metainfo/org.lxqt.Qps.appdata.xml
%{_datadir}/%{name}/translations/%{name}*.qm

%changelog
* Sun Nov 12 2023 daniel - 2.8.0-1pclos2023
- new version

* Sat Apr 15 2023 daniel - 2.7.0-1pclos2023
- new version

* Sun Nov 06 2022 daniel - 2.6.0-1pclos2022
- new version

* Mon Sep 19 2022 tex - 2.5.0-2pclos2022
- rebuild against updates

* Sun Apr 17 2022 daniel - 2.5.0-1pclos2022
- 2.5.0

* Fri Nov 05 2021 daniel - 2.4.0-1pclos2021
- 2.4.0

* Thu Apr 15 2021 daniel <> 2.3.0-1pclos2021
- 2.3.0

* Fri Nov 06 2020 daniel <meisssw01 at gmail.com> 2.2.0-1pclos2020
- 2.2.0

* Sun Apr 26 2020 daniel <meisssw01 at gmail.com> 2.1.0-1pclos2020
- update

* Wed Dec 04 2019 daniel <meisssw01 at gmail.com> 2.0.0-1pclos2019
- update

* Wed Feb 06 2019 tex - 1.10.19-2pclos2019
- rebuild against updates

* Mon Jan 28 2019 daniel <meisssw01 at gmail.com> 1.10.19-1pclos2019
- update

* Sun Jul 29 2018 daniel <meisssw01 at gmail.com> 1.10.18-1pclos2018
- update

* Mon Oct 23 2017 daniel <meisssw01 at gmail.com> 1.10.17-1pclos2017
- import
